namespace MySqlFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.MySql.Entity;
    using Devart.Data.MySql.Entity.Migrations;
    
    public partial class AddBook : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Books",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Author = c.String(maxLength: 200),
                        Name = c.String(maxLength: 300),
                        Content = c.String(unicode: false),
                    },
                anonymousArguments: new MySqlCreateTableConfiguration() {
                        StorageEngine = MySqlStorageEngine.MyISAM,                   
                    })
                .Index(c => c.Content,
                    anonymousArguments: new MySqlCreateIndexConfiguration() {
                       IsFulltext = true
                    })
                .PrimaryKey(t => t.Id);
        }
        
        public override void Down()
        {
            DropTable("Books");
        }
    }
}
